#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  JS-78.8.0

- Next

  JSON-GLib-1.6.2

- Up
- Home

# JSON-C-0.15

## Introduction to JSON-C

The JSON-C implements a reference counting object model that allows you to easily construct JSON objects in C, output them as JSON formatted strings and parse JSON formatted strings back into the C representation of JSON objects.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://s3.amazonaws.com/json-c_releases/releases/json-c-0.15.tar.gz

- Download MD5 sum: 55f395745ee1cb3a4a39b41636087501

- Download size: 353 KB

- Estimated disk space required: 336 KB

- Estimated build time: less than 0.1 SBU

### JSON-C Dependencies

#### Required

CMake-3.19.5

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/json-c

## Installation of JSON-C

Install JSON-C by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release \
          -DBUILD_STATIC_LIBS=OFF    \
          .. &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to apply a higher level of compiler optimizations.

## Contents

Installed Programs: None
Installed Libraries: libjson-c.so
Installed Directories: /usr/include/json-c

### Short Descriptions

`libjson-c.so` | contains the JSON-C API functions

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  JS-78.8.0

- Next

  JSON-GLib-1.6.2

- Up
- Home